# Uses of Class
com.sun.source.util.DocTrees

Packages that use DocTrees
Package
Description
com.sun.source.util
Provides utilities for operations on abstract syntax trees (AST).
jdk.javadoc.doclet
The Doclet API provides an environment which, in conjunction with the Language Model API and Compiler Tree API, allows clients to inspect the source-level structures of programs and libraries, including API comments embedded in the source.

## Uses of DocTrees in com.sun.source.util

Methods in com.sun.source.util that return DocTrees
Modifier and Type
Method
Description
`static DocTrees`
DocTrees.`instance(ProcessingEnvironment env)`
Returns a DocTrees object for a given ProcessingEnvironment.
`static DocTrees`
DocTrees.`instance(JavaCompiler.CompilationTask task)`
Returns a DocTrees object for a given CompilationTask.

## Uses of DocTrees in jdk.javadoc.doclet

Methods in jdk.javadoc.doclet that return DocTrees
Modifier and Type
Method
Description
`DocTrees`
DocletEnvironment.`getDocTrees()`
Returns an instance of the `DocTrees` utility class.